package repository

import (
	"context"

	E "github.com/IBM/fp-go/either"
)

type AuthRepository interface {
	GenerateToken(ctx context.Context) func(userID string) E.Either[error, string]
	ValidateToken(ctx context.Context) func(userID string) E.Either[error, string]
	RevokeToken(ctx context.Context) func(userID string) E.Either[error, string]
}
